



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>css2和CSS3的background属性简写</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">css2和CSS3的background属性简写</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-03-26 09:13:38 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p>1、css2：background:background-color || url("") || no-repeat || scroll || 0 0;</p>
<p>　 &nbsp;css3: &nbsp;background: url("") || 0 0/cover || no-repeat || scroll || border-box || content-box || black;</p>
<p><strong>CSS2中的Background属性：</strong></p>
<pre class="prettyprint linenums">   background: background-color || background-image || background-repeat || background-attachment || background-position;<br />
   也可以分解写成：<br />
   background-color: color值 || RGBA值；<br />
   background-image: url();<br />
   background-repeat: repeat || repeat-x || repeat-y || no-repeat;<br />
   background-attachment: scroll || fixed;<br />
   background-position: &lt;length&gt; || &lt;per&gt;
</pre>
<p><strong>CSS3中的Background属性</strong></p>
<pre class="prettyprint linenums">   background: background-image || background-position/background-size || background-repeat || background-attachment || background-clip || background-origin || background-color<br />
   也可以分解写成：<br />
   background-image: url();<br />
   background-position: &lt;length&gt; || &lt;per&gt;<br />
   background-size: &lt;length&gt; || &lt;per&gt;<br />
   background-repeat: repeat || repeat-x || repeat-y || no-repeat;<br />
   background-attachment: scroll || fixed;<br />
   background-clip: padding-box || border-box || content-box;<br />
   background-origin: padding-box || border-box || content-box;<br />
   background-color: color值 || RGBA值；
</pre>
<p>这里有点特别需要注意，如果使用联写方式时，background-size需跟在background-position的后面，并用&ldquo;/&rdquo;隔着，即"background-position/background-size"。另外本人强烈建议CSS3中的Background属性不要全部联写，最好把CSS3中的属性拆分出来单独书写，因为他们在不同浏览器下需要加上自己的前缀，如：</p>
<pre class="prettyprint linenums">   background: background-color || background-image || background-repeat || background-attachment || background-position;<br />
   background-size: &lt;length&gt; || &lt;per&gt;<br />
   background-clip: padding-box || border-box || content-box;<br />
   background-origin: padding-box || border-box || content-box;
</pre>
<p>后面三个最好在运用时按前面介绍的，把各自的私有前缀加上。重温了一次两种标准下的Backgroud后，就正式进入今天的主题CSS3的多背景。</p>
<p>CSS3 Multiple backgrounds从字面而知，CSS3的多背景，其主要作用就是给同一个元素设置多个背景图像，换句话说，就是在同一元素上可以设置除background-color外多个background的其它属性，因为一个元素只具备一个背景色，但自从有了CSS3后，可以让同一个元素同时具有多个背景图像，并可以给多个背景图像设置相同或不相同的background-(position||repeat||clip||size||origin||attachment)。前面几句可能归纳的有点拗口，不太好理解，后面大家可以通过具体的实例来增加对他的理解。此时或许有朋友会问，那这个多背景我们在样式中要写backgrouds还是一样的background呢？这个问题问得很好，在以前读书学英语时，复数往往会多一个&ldquo;s&rdquo;，那我在这里大声告诉大家，CSS3的多背景我们不使用&ldquo;backgrounds&rdquo;而是继续使用"backgroud"，况且W3C也没有&ldquo;backgrouds&rdquo;,至于具体的语法如下所示：</p>
<pre class="prettyprint linenums">  background ： [background-image] | [background-position][/background-size] | [background-repeat] | [background-attachment] | [background-clip] | [background-origin],*<br />
  也可以分解成：<br />
  background-image: url1,url2,...,urlN;<br />
  background-repeat: repeat1,repeat2,...,repeatN;<br />
  background-position: position1,position2,...,positionN;<br />
  background-size: size1,size2,...,sizeN;<br />
  backrgound-attachment: attachment1,attachment2,...,attachmentN;<br />
  background-clip: clip1,clip2,...,clipN;<br />
  background-origin: origin1,origin2,...,originN;<br />
  background-color: color;
</pre>
<p><strong>取值说明：</strong></p>
<p>1、background-image:此值用来设置元素的背景图片，可以使用相对地址或绝对地址索引背景图片，详细参考w3c的<a href="http://www.w3.org/TR/css3-background/#the-background-image" rel="external nofollow noreferrer">Background-image</a>；</p>
<p>2、background-repeat:此值用来设置元素的背景图片的平铺方式，其默认值为repeat，详细参考w3c的<a href="http://www.w3.org/TR/css3-background/#background-repeat" rel="external nofollow noreferrer">background-repeat</a>；</p>
<p>3、background-position:此值用来设置元素的背景图片的定位起点，其默认值为left top,详细参考w3c的<a href="http://www.w3.org/TR/css3-background/#background-position" rel="external nofollow noreferrer">background-position</a>；</p>
<p>4、background-size: 此值用来设置元素的背景图片的尺寸大小，其默认值为auto，详细参考《<a href="http://www.w3cplus.com/content/css3-background-size" rel="external nofollow noreferrer">CSS3 Background-size</a>》；</p>
<p>5、background-attachment:此值用来设置元素的背景图片是否为固定显示，其默认值为scroll,详细参考<a href="http://www.w3.org/TR/css3-background/#background-attachment" rel="external nofollow noreferrer">background-attachment</a>；</p>
<p>6、background-clip：此值用来控制元素的背景图片显示区域，其默认值为border-box，详细参考《<a href="http://www.w3cplus.com/content/css3-background-clip" rel="external nofollow noreferrer">CSS3 Background-clip</a>》；</p>
<p>7、background-origin:此值用来控制元素的背景图片position的默认起始点，其默认值为padding-box,详细参考《<a href="http://www.w3cplus.com/content/css-background-origin" rel="external nofollow noreferrer">CSS3 background-origin</a>》;</p>
<p>8、 background-color: transparent; color: rgb(41, 180, 240); text-decoration: none; background-position: initial initial; background-repeat: initial initial;"&gt;background-color。</p>
<p>其中background-image需要多个，但多个图片之间使用逗号隔开,而其他属性可以选择一个或多个，如果有多个背景图片时，其他属性只有一个时，那么表示所有背景图片应用了相同的属性设置，但background-color只能设置一个，如果你设置多少background-color将是一种错误的语法设置。</p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/2q7zy7k9.html">java 随机获取国内IP</a>
		</li>
						<li><a href="https://www.batexi.com/a/5qy565g9.html">MMDrawerController在表视图和导航栏中的使用</a>
		</li>
						<li><a href="https://www.batexi.com/a/g8e22jz8.html">&amp;lt&semi;转&amp;gt&semi;iOS9 Day-by-Day：iOS开发者必须了解的iOS 9新技术与API</a>
		</li>
						<li><a href="https://www.batexi.com/a/9j0jp2wq.html">keep your work after network broken</a>
		</li>
						<li><a href="https://www.batexi.com/a/93xjw6z9.html">SQL Server 2008中新增的  1&period;变更数据捕获（CDC）  和   2&period;更改跟踪</a>
		</li>
						<li><a href="https://www.batexi.com/a/8okpx119.html">L1、L2范式及稀疏性约束</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxknm0v8.html">【CSS3】transform-origin原点旋转</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwj5ojl8.html">Unity NGUI UIPanel下对粒子的剪裁</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pdvkjz9.html">python内置函数&lpar;四&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2jnk0v8.html">移动端页面点击a标签会有半透明的阴影或红色边框的bug</a>
		</li>
						<li><a href="https://www.batexi.com/a/8zo2jl1q.html">Fantasia   （Tarjan&plus;树形DP）</a>
		</li>
						<li><a href="https://www.batexi.com/a/8ojwl5eq.html">Android Parcelable和Serializable的区别</a>
		</li>
						<li><a href="https://www.batexi.com/a/9rge6748.html">JDK源码分析（三）&mdash;&mdash; LinkedList</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdp6vdjq.html">TCP 服务端接收数据解析工具类</a>
		</li>
						<li><a href="https://www.batexi.com/a/qllemm6q.html">多线程threading 的使用</a>
		</li>
						<li><a href="https://www.batexi.com/a/8zkrodv8.html">DirectShow SDK下载</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gp7gp09.html">计算机网络课设之TCP通讯录</a>
		</li>
						<li><a href="https://www.batexi.com/a/8mj0e2p8.html">【数据库】java链接jdbc 释放资源</a>
		</li>
						<li><a href="https://www.batexi.com/a/8zvyv339.html">java有序map</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxlxnxeq.html">Hydra--密码破解的神器</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/q2j5ld38.html">基于认证的代理平台搭建配置squid-20130730</a>
			</li>
						<li><a href="https://www.batexi.com/a/qnjvo0k8.html">Spring实例</a>
			</li>
						<li><a href="https://www.batexi.com/a/8zoy04dq.html">解决WP7的32位图像渐变色色阶问题</a>
			</li>
						<li><a href="https://www.batexi.com/a/qljly369.html">pipe----管道</a>
			</li>
						<li><a href="https://www.batexi.com/a/9rg5ox78.html">Java-抽象类定义构造方法</a>
			</li>
						<li><a href="https://www.batexi.com/a/8oj1x4pq.html">for惠普2013实习生</a>
			</li>
						<li><a href="https://www.batexi.com/a/qdpw67vq.html">【Servlet3&period;0新特性】第03节&lowbar;文件上传</a>
			</li>
						<li><a href="https://www.batexi.com/a/qljlzye9.html">jvm内存JVM学习笔记-引用&lpar;Reference&rpar;机制</a>
			</li>
						<li><a href="https://www.batexi.com/a/8me2og0q.html">内核操作系统Linux内核变迁杂谈&mdash;&mdash;感知市场的力量</a>
			</li>
						<li><a href="https://www.batexi.com/a/8eymeyk9.html">使用docker搭建kafka环境</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
